/* PhBBackgroundProjection.C: PhBBackgroundProjection nodes (public source) */

#include "PhBBackgroundProjection.H"

namespace xrml {
void PhBBackgroundProjection::render(void)
{
  Warning(NULL, "PhBBackgroundProjection::render(): not yet implemented");
}

Vec3 PhBBackgroundProjection::direction2surface(const Vec3& direction)
{
  Warning(NULL, "PhBBackgroundProjection::direction2surface(): not yet implemented.\n");
  return Vec3(0.,0.,0.);
}

Vec3 PhBBackgroundProjection::surface2direction(const Vec3& surfaceCoord)
{
  Warning(NULL, "PhBBackgroundProjection::surface2surface(): not yet implemented.\n");
  return Vec3(0.,0.,0.);
}

Vec3 PhBBackgroundProjection::start(const Vec3&)
{
  Warning(NULL, "PhBBackgroundProjection::start(): not yet implemented");
  return Vec3(0., 0., 0.);
}
 
Vec3  PhBBackgroundProjection::size(const Vec3&)
{
  Warning(NULL, "PhBBackgroundProjection::size(): not yet implemented");
  return Vec3(0., 0., 0.);
}
 
float PhBBackgroundProjection::area(const Vec3&,
				    const Vec3&,
				    const Vec3&,
				    const Vec3&)
{
  Warning(NULL, "PhBBackgroundProjection::area(): not yet implemented");
  return(0.);
}

float PhBBackgroundProjection::jacobian(const Vec3& surfaceCoord)
{
  Warning(NULL, "PhBBackgroundProjection::jacobian(): not yet implemented");
  return(0.);
}

}  // namespace xrml
